eiquadprog: eiquadprog::solvers::EiquadprogFast Class Reference

eiquadprog 1.3.2 C++ reimplementation of eiquadprog

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
eiquadprog::solvers::EiquadprogFast Class Reference

`#include <eiquadprog/eiquadprog-fast.hpp>`

## Public Member Functions
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | EiquadprogFast ()
virtual | ~EiquadprogFast ()
void | reset (size_t dim_qp, size_t num_eq, size_t num_ineq)
int | getMaxIter () const
bool | setMaxIter (int maxIter)
size_t | getActiveSetSize () const
int | getIteratios () const
double | getObjValue () const
const VectorXd & | getLagrangeMultipliers () const
const VectorXi & | getActiveSet () const
EiquadprogFast_status | solve_quadprog (const MatrixXd &Hess, const VectorXd &g0, const MatrixXd &CE, const VectorXd &ce0, const MatrixXd &CI, const VectorXd &ci0, VectorXd &x)

## Public Attributes
MatrixXd | m_J
bool | is_inverse_provided_

## Constructor & Destructor Documentation

## ◆ EiquadprogFast()

eiquadprog::solvers::EiquadprogFast::EiquadprogFast | ( |  | ) |

## ◆ ~EiquadprogFast()

eiquadprog::solvers::EiquadprogFast::~EiquadprogFast | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getActiveSet()

const VectorXi & eiquadprog::solvers::EiquadprogFast::getActiveSet | ( |  | ) | const
| inline

Return the active set, namely the indeces of active constraints. The first nEqCon indexes are for the equalities and are negative. The last nIneqCon indexes are for the inequalities and start from 0. Only the first q elements of the return vector are valid, where q is the size of the active set.

Returns
  The set of indexes of the active constraints.

## ◆ getActiveSetSize()

size_t eiquadprog::solvers::EiquadprogFast::getActiveSetSize | ( |  | ) | const
| inline

Returns
  The size of the active set, namely the number of active constraints (including the equalities).

## ◆ getIteratios()

int eiquadprog::solvers::EiquadprogFast::getIteratios | ( |  | ) | const
| inline

Returns
  The number of active-set iteratios.

## ◆ getLagrangeMultipliers()

const VectorXd & eiquadprog::solvers::EiquadprogFast::getLagrangeMultipliers | ( |  | ) | const
| inline

Returns
  The Lagrange multipliers

## ◆ getMaxIter()

int eiquadprog::solvers::EiquadprogFast::getMaxIter | ( |  | ) | const
| inline

## ◆ getObjValue()

double eiquadprog::solvers::EiquadprogFast::getObjValue | ( |  | ) | const
| inline

Returns
  The value of the objective function.

## ◆ reset()

void eiquadprog::solvers::EiquadprogFast::reset | ( | size_t | dim_qp,
|  | size_t | num_eq,
|  | size_t | num_ineq )

## ◆ setMaxIter()

bool eiquadprog::solvers::EiquadprogFast::setMaxIter | ( | int | maxIter | ) |
| inline

## ◆ solve_quadprog()

EiquadprogFast_status eiquadprog::solvers::EiquadprogFast::solve_quadprog | ( | const MatrixXd & | Hess,
|  | const VectorXd & | g0,
|  | const MatrixXd & | CE,
|  | const VectorXd & | ce0,
|  | const MatrixXd & | CI,
|  | const VectorXd & | ci0,
|  | VectorXd & | x )

solves the problem min. x' Hess x + 2 g0' x s.t. CE x + ce0 = 0 CI x + ci0 >= 0

## Member Data Documentation

## ◆ is_inverse_provided_

bool eiquadprog::solvers::EiquadprogFast::is_inverse_provided_

## ◆ m_J

MatrixXd eiquadprog::solvers::EiquadprogFast::m_J

The documentation for this class was generated from the following files:

- include/eiquadprog/eiquadprog-fast.hpp
- src/eiquadprog-fast.cpp